summaryrefslogtreecommitdiff
path: root/tests/du/restore-wd
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-02-08 18:07:45 +0000
committerJim Meyering <jim@meyering.net>2003-02-08 18:07:45 +0000
commitd60aa229571337dcf4e7cd1d2e031363b66f5f70 (patch)
tree374c5c27a77676ce6a303ecadd53991692cacae8 /tests/du/restore-wd
parent981efef893526ce4f0eb2caaf1ae94b7aa3e2714 (diff)
downloadcoreutils-d60aa229571337dcf4e7cd1d2e031363b66f5f70.tar.xz
New test for just-fixed bug in ftw.c.
Diffstat (limited to 'tests/du/restore-wd')
-rwxr-xr-xtests/du/restore-wd32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/du/restore-wd b/tests/du/restore-wd
new file mode 100755
index 000000000..927265af5
--- /dev/null
+++ b/tests/du/restore-wd
@@ -0,0 +1,32 @@
+#!/bin/sh
+# due to a bug in glibc's ftw.c, in some cases, nftw w/FTW_CHDIR
+# would not restore the working directory.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ du --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir a b || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+# With du from coreutils-4.5.5 and 4.5.6, this would fail with
+# du: `b': No such file or directory
+
+du a b > out || fail=1
+
+(exit $fail); exit $fail